Very good, but not for 3.5 Rated 4 out of 5 stars

The Theme Qute Classic 3.2.3.3 is very good, but not compatible with the Firefox 3.5.
30.06.2009

This review is for a previous version of the add-on (3.2.3.3). 

New version

Version 3.2.4.0 was uploaded for 3.5 shortly after 3.5 went live officially. I suspect there's a lot of themes in the review queue, as the new version is still in the sandbox.